%define name 	libungif
%define version 4.1.0
%define release 16mdk
%define majver 	4
%define major 	4
%define libname %{name}%{major}
%define prefix 	%{_prefix}

Name: 		%{name}
Summary: 	A library for manipulating GIF format image files.
Version: 	%{version}
Release: 	%{release}
License: 	BSD-like
URL: 		http://prtr-13.ucsc.edu/~badger/software/libungif
Source0: 	ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-%{version}b1.tar.bz2
Source1: 	ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-3.1.0.tar.bz2
Patch0: 	libungif-4.1.0-stdarg.patch.bz2
Patch1: 	libungif-CVS.patch.bz2
Group: 		System/Libraries
BuildRequires: 	XFree86-devel libgr-devel
Buildroot: 	%{_tmppath}/%{name}-%{version}-root
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: libgif.so.4 libgif.so.3 libgif.so libungif.so giflib
Obsoletes: giflib

%description
The libungif package contains a shared library of functions for loading
and saving GIF format image files.  The libungif library can load any
GIF file, but it will save GIFs only in uncompressed format (i.e., it
won't use the patented LZW compression used to save "normal" compressed
GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package -n %{libname}
Summary: A library for manipulating GIF format image files.
Group: System/Libraries
Obsoletes: %{name}
Provides:  %{name} = %{version}-%{release}
%description -n %{libname}
The libungif package contains a shared library of functions for loading
and saving GIF format image files.  The libungif library can load any
GIF file, but it will save GIFs only in uncompressed format (i.e., it
won't use the patented LZW compression used to save "normal" compressed
GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package -n %{libname}-devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}
%description -n %{libname}-devel
This package contains the static libraries, header files and documentation
necessary for development of programs that will use the libungif library
to load and save GIF format image files.

You should install this package if you need to develop programs which
will use the libungif library functions for loading and saving GIF format
image files.  You'll also need to install the libungif package.

%package progs
Summary: Programs for manipulating GIF format image files.
Group: Graphics
Requires: %{libname} = %{version}-%{release}

%description progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.

%prep
%setup -q -a 1 -n %{name}-%{version}b1
%patch0 -p1 -b .stdarg
%patch1 -p1 -b .cvs

%build
%configure
make all

pushd %{name}-3.1.0
test -x ./autogen.sh && ./autogen.sh
%configure
make all
popd

%install
rm -rf ${RPM_BUILD_ROOT}

pushd %{name}-3.1.0/lib
%makeinstall
ln -sf libungif.so.3.1.0 ${RPM_BUILD_ROOT}%{_libdir}/libgif.so.3.1.0
ln -sf libgif.so.3.1.0 ${RPM_BUILD_ROOT}%{_libdir}/libgif.so.3
rm ${RPM_BUILD_ROOT}%{_libdir}/*.so
rm ${RPM_BUILD_ROOT}%{_libdir}/*.a
popd
 
%makeinstall
ln -sf libungif.so.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libgif.so.%{version}
ln -sf libgif.so.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libgif.so.4
ln -sf libgif.so.4 ${RPM_BUILD_ROOT}%{_libdir}/libgif.so
ln -sf libungif.a ${RPM_BUILD_ROOT}%{_libdir}/libgif.a
  
chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/*.so*
chmod 644 ${RPM_BUILD_ROOT}%{_libdir}/*.a*
chmod 644 COPYING README UNCOMPRESSED_GIF NEWS ONEWS
chmod 644 doc/* util/giffiltr.c util/gifspnge.c

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/*  util/giffiltr.c util/gifspnge.c
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files progs
%defattr(-,root,root)
%{_bindir}/*
%doc doc UNCOMPRESSED_GIF COPYING

%changelog
* Thu Feb 21 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-16mdk
- parallel make is broken

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 4.1.0-15mdk
- fix libdification (-devel requires %%{version}-%%{release})

* Mon Jul 30 2001 Yves Duret <yduret@mandrakesoft.com> 4.1.0-14mdk
- rebuild against netpbm

* Sun Jul  1 2001 Yves Duret <yduret@mandrakesoft.com> 4.1.0-13mdk
- fix build (new libtool sux)
- rewrite %%install step
- now use stdarg.h (patch0)
- add some fixes from CVS (patch1)

* Fri Jan  5 2001 Yves Duret <yduret@mandrakesoft.com> 4.1.0-12mdk
- changed the progs package name to libungif-progs

* Wed Jan  3 2001 Yves Duret <yduret@mandrakesoft.com> 4.1.0-11mdk
- libdification
- changed group
- added doc for the progs

* Wed Dec 13 2000 Yves Duret <yduret@mandrakesoft.com> 4.1.0-10mdk
- fix mode 0644 to some files (patches)
- fix URL: to the new home
- macroization

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-9mdk
- removed build dependency on libungif-devel.

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.1.0-8mdk
- BM

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-7mdk
- automatically added BuildRequires

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 4.1.0-6mdk
- fix group 

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed May 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix up provides (original didn't provide libgif.so.4 :/ )
- create missing link for libungif.so.4

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
